Maintenance Events - List

Lists all maintenance events for a flexible server.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/flexibleServers/{serverName}/maintenanceEvents?api-version=2026-10-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/flexibleServers/{serverName}/maintenanceEvents?api-version=2026-10-01&maintenanceStatus={maintenanceStatus}

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)*

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

maintenanceStatus
query

MaintenanceEventStatusFilter

Filter maintenance events by status.

Responses

Name Type Description
200 OK

MaintenanceEventResourceListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List maintenance events filtered by status for a server.
List ongoing and scheduled maintenance events for a server.

List maintenance events filtered by status for a server.

Sample request

GET https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/maintenanceEvents?api-version=2026-10-01&maintenanceStatus=Upcoming

Sample response

{
  "value": [
    {
      "properties": {
        "maintenanceEventId": "XXXX-111",
        "maintenanceType": "PlannedMaintenance",
        "originalStartTime": "2026-04-02T07:23:00Z",
        "status": "Planned",
        "startTime": "2026-04-02T07:23:00Z",
        "endTime": "2026-04-02T08:23:00Z",
        "estimatedDowntime": "PT3600S",
        "deferrable": true,
        "deferralDeadline": "2026-04-16T07:23:00Z",
        "lastUpdatedTime": "2026-04-01T07:23:15.9626227Z"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/maintenanceEvents/XXXX-111",
      "name": "XXXX-111",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/maintenanceEvents"
    },
    {
      "properties": {
        "maintenanceEventId": "XXXX-222",
        "maintenanceType": "PlannedMaintenance",
        "originalStartTime": "2026-04-03T07:23:00Z",
        "status": "Planned",
        "startTime": "2026-04-03T08:23:00Z",
        "endTime": "2026-04-03T09:23:00Z",
        "estimatedDowntime": "PT3540S",
        "deferrable": true,
        "deferralDeadline": "2026-04-18T18:31:00Z",
        "lastUpdatedTime": "2026-04-02T07:23:15.9626227Z"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/maintenanceEvents/XXXX-222",
      "name": "XXXX-222",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/maintenanceEvents"
    }
  ]
}

List ongoing and scheduled maintenance events for a server.

Sample request

GET https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/maintenanceEvents?api-version=2026-10-01

Sample response

{
  "value": [
    {
      "properties": {
        "maintenanceEventId": "XXXX-111",
        "maintenanceType": "PlannedMaintenance",
        "originalStartTime": "2026-04-02T07:23:00Z",
        "status": "Planned",
        "startTime": "2026-04-02T07:23:00Z",
        "endTime": "2026-04-02T08:23:00Z",
        "estimatedDowntime": "PT3600S",
        "deferrable": true,
        "deferralDeadline": "2026-04-16T07:23:00Z",
        "lastUpdatedTime": "2026-04-01T07:23:15.9626227Z"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/maintenanceEvents/XXXX-111",
      "name": "XXXX-111",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/maintenanceEvents"
    },
    {
      "properties": {
        "maintenanceEventId": "XXXX-222",
        "maintenanceType": "PlannedMaintenance",
        "originalStartTime": "2026-04-03T07:23:00Z",
        "status": "Planned",
        "startTime": "2026-04-03T08:23:00Z",
        "endTime": "2026-04-03T09:23:00Z",
        "estimatedDowntime": "PT3540S",
        "deferrable": true,
        "deferralDeadline": "2026-04-18T18:31:00Z",
        "lastUpdatedTime": "2026-04-02T07:23:15.9626227Z"
      },
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/maintenanceEvents/XXXX-222",
      "name": "XXXX-222",
      "type": "Microsoft.DBforPostgreSQL/flexibleServers/maintenanceEvents"
    }
  ]
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

MaintenanceEventResource

Maintenance event resource for a PostgreSQL flexible server.

MaintenanceEventResourceListResult

The response of a MaintenanceEventResource list operation.

MaintenanceEventResourceProperties

Properties of a maintenance event resource.

MaintenanceEventStatus

The status of a maintenance event.

MaintenanceEventStatusFilter

Filter maintenance events by status.

MaintenanceType

Type of a maintenance event resource.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

MaintenanceEventResource

Maintenance event resource for a PostgreSQL flexible server.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

MaintenanceEventResourceProperties

The resource-specific properties for this resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

MaintenanceEventResourceListResult

The response of a MaintenanceEventResource list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

MaintenanceEventResource[]

The MaintenanceEventResource items on this page

MaintenanceEventResourceProperties

Properties of a maintenance event resource.

Name Type Description
deferrable

boolean

A value indicating whether this maintenance event can be rescheduled by the customer.

deferralDeadline

string (date-time)

The latest date/time this maintenance event can be postponed to (UTC). Present only when deferrable is true.

description

string

The human-readable description of the maintenance event.

endTime

string (date-time)

The scheduled end time of the maintenance event (UTC).

estimatedDowntime

string

The estimated downtime as an ISO 8601 duration string (e.g., 'PT60S' = 60 seconds).

lastUpdatedTime

string (date-time)

The time this maintenance event record was last updated (UTC).

maintenanceEventId

string

A service-generated identifier for this maintenance event, assigned by the platform (e.g., 'YL1T-HFG'). The format is not contractual and clients should not attempt to parse or construct this value.

maintenanceType

MaintenanceType

The maintenance type (e.g., 'PlannedMaintenance').

originalStartTime

string (date-time)

The initial scheduled start time before any reschedule (UTC). Equals startTime when the event has never been rescheduled.

rescheduledFrom

string (date-time)

The previous scheduled start time before the most recent reschedule (UTC). Null if the event has never been rescheduled.

startTime

string (date-time)

The scheduled start time of the maintenance event (UTC).

status

MaintenanceEventStatus

The customer-facing status of the maintenance event.

MaintenanceEventStatus

The status of a maintenance event.

Value Description
Planned

The maintenance event is scheduled and has not yet started.

InProgress

The maintenance event is currently in progress.

Complete

The maintenance event has completed successfully.

Rescheduled

The maintenance event has been rescheduled (postponed) by the customer.

Canceled

The maintenance event was canceled, failed, or timed out.

MaintenanceEventStatusFilter

Filter maintenance events by status.

Value Description
Upcoming

Return events that have a scheduled or in progress status.

Past

Return events that have a completed status.

MaintenanceType

Type of a maintenance event resource.

Value Description
PlannedMaintenance

Planned maintenance event.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.